using System;

using BS.Shared;

namespace BeWo.Data.Entities
{
    public class AssessmentSheetEntry : BeWoEntityBase
    {
        public static string PropertyName_AssessmentSheetCategory = "AssessmentSheetCategory";

        public static string PropertyName_AssessmentSheetValue = "AssessmentSheetValue";

        public static string PropertyName_Customer = "Customer";

        public static string PropertyName_Day = "Day";

        private AssessmentSheetCategory _AssessmentSheetCategory;

        private AssessmentSheetValue _AssessmentSheetValue;

        private Customer _Customer;

        private DateTime? _Day;

        public AssessmentSheetEntry()
        {
            this._Tid = TableID.AssessmentSheetEntry;
        }

        public virtual AssessmentSheetCategory AssessmentSheetCategory
        {
            get
            {
                return this._AssessmentSheetCategory;
            }

            set
            {
                if (this.AreDifferent(this._AssessmentSheetCategory, value))
                {
                    this._AssessmentSheetCategory = value;
                }
            }
        }

        public virtual AssessmentSheetValue AssessmentSheetValue
        {
            get
            {
                return this._AssessmentSheetValue;
            }

            set
            {
                if (this.AreDifferent(this._AssessmentSheetValue, value))
                {
                    this._AssessmentSheetValue = value;
                }
            }
        }

        public virtual Customer Customer
        {
            get
            {
                return this._Customer;
            }

            set
            {
                if (this.AreDifferent(this._Customer, value))
                {
                    this._Customer = value;
                }
            }
        }

        public virtual DateTime? Day
        {
            get
            {
                return this._Day;
            }

            set
            {
                if (this.AreDifferent(this._Day, value))
                {
                    this._Day = value;
                }
            }
        }
    }
}